Subject: Re: FVWM: num lock on... root menus off... why?

From: Dan Espen <[email-masked]>
Date: Wed, 23 Aug 2000 19:34:26 -0400

greg shebert <[email-masked]> writes:
> well, i looked in both the man page and the FAQ actually...
> 
> there is no mention that NumLock (or Alt) for that matter are valid modifiers
> in
> the man pages...

Well, I thought the FAQ had the last word on numlock, perhaps not.

> the only modifiers mentioned are ANCSM for all, none, ctrl, shift, and meta
> respectively...
> 
> what are the code letters for NumLock and Alt?

The man page touches on this, but it could be clearer.

Do:

  xmodmap -pm

For me, (under Exceed), I get:

me> xmodmap -pm
xmodmap:  up to 2 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x31),  Shift_R (0x3d)
lock        Caps_Lock (0x41)
control     Control_L (0x24),  Control_R (0x5e)
mod1        Alt_L (0x3f),  Alt_R (0x61)
mod2      
mod3        Num_Lock (0x62)
mod4      
mod5      

So, in this case, the fvwm modifier for numlock is "3".

> the FAQ didnt prove to be useful to me for this... the only section on key bi
> ndings
> was 3.9 and it didn't show much about the modifiers... section 5.5 describes 
> only
> how to ignore the modifiers... which i do not want to do either...
> 
> -greg-
> 
> 
> Dan Espen wrote:
> 
> > "Todd T. Fries" <[email-masked]> writes:
> > > think of the numlock as an alt key.  It is a modifier.  And most of the
> > > sequences are specific to a set of modifiers with the numlock off.
> > >
> > > If you wish to have the same behavior with and without the numlock, then
> > > simply duplicate all keybindings and have the 2nd set react when the nulo
> ck i
> > > s
> > > set.
> > > On Wed, Aug 23, 2000 at 03:25:21PM -0500, greg shebert wrote:
> > > > hi there
> > > >
> > > > one of my users had num lock on today and the window manager seemed to
> > > > be disregarding all keyboard input and mouse button input...
> > > >
> > > > is there something special that i have to put into my fvwm2rc file to
> > > > make sure that the root mouse menus work even when numlock is on?
> > > > -greg-
> >
> > Check the FAQ for more details.
> >
> > --
> > Dan Espen
> > 444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
> > Piscataway, NJ 08854                     Phone: (732) 699-5570
> 

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].